#
# spec file for package cacti (Version 0.8.6e)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  apache2-devel-packages

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel apache2 apache2-devel apache2-prefork autoconf automake binutils expat gcc gdbm gettext libapr0 libtool perl rpm

Name:         cacti
Version:      0.8.6e
Release:      2.3
Summary:      webfrontend to monitor system data via rrdtool
License:      GPL
Group:        System/Monitoring
URL:          http://www.raxnet.net/products/cacti/
Source0:      %{name}-%{version}.tar.bz2
Source1:      cacti.cron
Source2:      cacti-httpd.conf
Source3:      cacti.logrotate
Source4:      sysconfig.apache-cacti
Source5:      cacti-module
Patch:        path_fix.patch
Patch1:       0.8.6f.patch
Requires:     http_daemon net-snmp rrdtool php4 apache2-mod_php4 
Requires:     php4-snmp php4-mysql
BuildArch:    noarch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%define prefix /usr/share/cacti
%define apxs2 apxs2-prefork
%define apache2_sysconfdir %(%{apxs2} -q SYSCONFDIR)

%description
Cacti is a complete frontend to rrdtool, it stores all of the necessary
information to create graphs and populate them with data in a MySQL
database.

The frontend is completely PHP driven. Along with being able to
maintain Graphs, Data Sources, and Round Robin Archives in a database,
cacti handles the data gathering also. There is also SNMP support for
those used to creating traffic graphs with MRTG.



Authors:
--------
    Ian Berry <iberry@raxnet.net>

%prep
%setup -q
%patch -p1
%patch1 -p1

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{prefix}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_localstatedir}/lib/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_var}/log/%{name}
cp *.php        $RPM_BUILD_ROOT%{prefix}
cp -pr lib      $RPM_BUILD_ROOT%{prefix}
cp -pr include  $RPM_BUILD_ROOT%{prefix}
cp -pr docs     $RPM_BUILD_ROOT%{prefix}
cp -pr images   $RPM_BUILD_ROOT%{prefix}
cp -pr install  $RPM_BUILD_ROOT%{prefix}
cp -pr resource $RPM_BUILD_ROOT%{prefix}
cp -pr scripts  $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 *.sql $RPM_BUILD_ROOT%{_datadir}/%{name}
# cron task
install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/cron.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/cron.d/cacti
# apache2 config
install -d -m 755 $RPM_BUILD_ROOT%{apache2_sysconfdir}/conf.d
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{apache2_sysconfdir}/conf.d/cacti.conf
# apache1 config
mkdir -p $RPM_BUILD_ROOT/etc/httpd/modules/
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/etc/httpd/cacti.conf
install -m 644 %SOURCE4 $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -m 644 %SOURCE5 $RPM_BUILD_ROOT/etc/httpd/modules/cacti
# logrotate config
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
# compute files list without config file
find $RPM_BUILD_ROOT%{prefix} -type d | sed -e 's|'$RPM_BUILD_ROOT'|%dir |' >> %{name}.list
find $RPM_BUILD_ROOT%{prefix} -type f ! -name config.php | sed -e 's|'$RPM_BUILD_ROOT'||' >> %{name}.list

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%post
%{fillup_only -na apache}

%files -f %{name}.list
%defattr(-,root,root)
%doc LICENSE docs/CHANGELOG docs/CONTRIB docs/README
%attr(-,wwwrun,-) %dir %{_localstatedir}/lib/cacti
%attr(-,wwwrun,-) %dir /var/log/cacti
%dir %{apache2_sysconfdir}/conf.d
%config(noreplace) %{prefix}/include/config.php
%config(noreplace) %{_sysconfdir}/cron.d/%{name}
%config(noreplace) %{apache2_sysconfdir}/conf.d/cacti.conf
%config(noreplace) /etc/logrotate.d/%{name}
/var/adm/fillup-templates/sysconfig.apache-cacti
%config(noreplace) /etc/httpd/cacti.conf
%config /etc/httpd/modules/cacti

%changelog -n cacti
* Sat Jul 02 2005 - stark@suse.de
- security fixes from 0.8.6f release (#94757)
  * Hardened PHP Project Advisory #042005
  Cacti Authentication/Addslashes Bypass Vulnerability
  * Hardened PHP Project Advisory #022005
  Cacti Multiple SQL Injection Vulnerabilities
  * Hardened PHP Project Advisory #032005
  Cacti Remote Command Execution Vulnerability
* Fri Jun 24 2005 - stark@suse.de
- readded support for Apache1
* Sat Jun 18 2005 - stark@suse.de
- update to 0.8.6e final
* Thu Jun 16 2005 - stark@suse.de
- update to 0.8.6e
* Fri Jan 21 2005 - stark@suse.de
- update to 0.8.6c
* Fri Nov 19 2004 - stark@suse.de
- update to 0.8.6b
- added logrotate config
* Mon Sep 20 2004 - stark@suse.de
- fix sql injection bug (#43908)
* Mon Aug 30 2004 - ro@suse.de
- remove apache1 traces
* Wed Apr 28 2004 - stark@suse.de
- update to 0.8.5a
* Mon Feb 16 2004 - stark@suse.de
- update to 0.8.5
* Mon Dec 29 2003 - stark@suse.de
- initial SUSE package
